curl https://api.nuvio.io/v1/expense/7c9e6679-7425-40de-944b-e07fc1f90ae7 \
-H "Authorization: Bearer $NUVIO_API_TOKEN"
const response = await fetch('https://api.nuvio.io/v1/expense/7c9e6679-7425-40de-944b-e07fc1f90ae7', {
method: 'GET',
headers: {
Authorization: `Bearer ${process.env.NUVIO_API_TOKEN}`,
},
});
const { data } = await response.json();
import os
import requests
response = requests.get(
"https://api.nuvio.io/v1/expense/7c9e6679-7425-40de-944b-e07fc1f90ae7",
headers={"Authorization": f"Bearer {os.environ['NUVIO_API_TOKEN']}"},
)
data = response.json()["data"]
Response
{
"success": true,
"errors": null,
"data": {
"id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"referenceNumber": "INV-2026-0042",
"paymentStatus": "Pending",
"description": "Office supplies",
"dueDate": "2026-11-05",
"expenseDate": "2026-11-05",
"currency": "USD",
"exchangeRate": 1,
"project": {
"id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"name": "Acme Supplies",
"projectCode": "ACME-01"
},
"supplier": {
"id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"name": "Acme Supplies",
"entityCode": "ACME-01"
},
"tags": [
{
"id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"name": "Acme Supplies"
}
],
"subTotal": 100,
"totalTax": 100,
"totalAmount": 100,
"remainingAmount": 100,
"items": [
{
"id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"itemDetail": "Office supplies",
"productCode": "ACME-01",
"productId": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"productName": "Acme Supplies",
"quantity": 1,
"unitPrice": "string",
"totalTaxes": 100,
"totalAmount": 100,
"itemTaxes": [
{
"taxId": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"taxName": "Acme Supplies",
"taxAmount": 100
}
]
}
],
"matchedPayments": [
{
"bankAccountId": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"bankAccountName": "Acme Supplies",
"transactionId": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"amount": 100,
"currency": "USD",
"description": "Office supplies",
"transactionDate": "2026-11-05"
}
]
}
}